<template>
  <div class="OtherB_PerpleJunShouRu__wrap">
    <div class="OtherB-PeopleJunShouRu__table">
      <h1>全市居民人均可支配收入情况</h1>
      <el-table
        :data="tableData"
        style="width: 100%">
        <el-table-column
          prop="year"
          label="年份">
        </el-table-column>
        <el-table-column
          label="国民人均可支配收入">
          <el-table-column
            prop="shouru"
            label="收入（元）"
          >
          </el-table-column>
          <el-table-column
            prop="quanshengpaiwei"
            label="全省排名"
          >
          </el-table-column>
          <el-table-column
            prop="zengzhang"
            label="增长"
          >
          </el-table-column>
          <el-table-column
            prop="quanshengpaiwei1"
            label="全省排位"
          >
          </el-table-column>
        </el-table-column>
        <el-table-column label="城镇居民人均可支配收入">
          <el-table-column
            prop="shouru1"
            label="收入（元）"
          >
          </el-table-column>
          <el-table-column
            prop="quanshengpaiwei2"
            label="全省排位"
          >
          </el-table-column>
          <el-table-column
            prop="zengzhang1"
            label="增长"
          >
          </el-table-column>
          <el-table-column
            prop="quanshengpaiwei3"
            label="全省排位"
          >
          </el-table-column>
        </el-table-column>
        <el-table-column label="农村居民人均可支配收入">
          <el-table-column
            prop="shouru2"
            label="收入（元）"
          >
          </el-table-column>
          <el-table-column
            prop="quashengpaiwei4"
            label="全省排位"
          >
          </el-table-column>
          <el-table-column
            prop="zengzhang2"
            label="增长 "
          >
          </el-table-column>
          <el-table-column
            prop="quanshengpaiwei5"
            label="全省排位"
          >
          </el-table-column>
        </el-table-column>
      </el-table>
    </div>
  </div>
</template>

<script>
export default {
  name: "OtherB_PerpleJunShouRu",
  data() {
    return {
      tableData: [{
        year: 2020,
        shouru: 30955,
        quanshengpaiwei: 3,
        zengzhang: '5.5%',
        quanshengpaiwei1: 9,
        shouru1: 40243,
        quanshengpaiwei2: 3,
        zengzhang1: '4.4%',
        quanshengpaiwei3: 6,
        shouru2: 40243,
        quashengpaiwei4: 3,
        zengzhang2: '4.4%',
        quanshengpaiwei5: 6
      }, {
        year: 2020,
        shouru: 30955,
        quanshengpaiwei: 3,
        zengzhang: '5.5%',
        quanshengpaiwei1: 9,
        shouru1: 40243,
        quanshengpaiwei2: 3,
        zengzhang1: '4.4%',
        quanshengpaiwei3: 6,
        shouru2: 40243,
        quashengpaiwei4: 3,
        zengzhang2: '4.4%',
        quanshengpaiwei5: 6
      }]
    }
  }
}
</script>

<style lang="scss">
@import "../../../../assets/css/base";

.OtherB-PeopleJunShouRu__table {
  width: 100%;
  height: calc(100% - 0.078125rem /* 20/256 */
  );
  margin-top: 0.078125rem /* 20/256 */
;

  .el-table th.el-table__cell {
    background-color: $color-blue;
    height: 0.3125rem /* 80/256 */
  ;
  }

  .el-table tr {
    height: 0.3125rem /* 80/256 */
  ;
  }

  .el-table tr:nth-child(odd) {
    background-color: #CEF2FF;
  }

  .el-table tr:nth-child(even) {
    background-color: #CEF2FF;
  }

  .el-table, .el-table__expanded-cell {
    background-color: transparent;
  }

  .el-table thead {
    color: $color-darkGrey;
  }

  .el-table {
    color: $color-darkGrey;
  }

  .el-table .cell {
    font-size: $fontSize-28;
    color: $color-darkGrey;
    font-weight: 300;
    line-height: 1;
    white-space: pre-line;
  }

  .el-table--border th.el-table__cell, .el-table__fixed-right-patch {
    border-bottom: 1Px solid $color-grey; /*no*/
  }

  .el-table thead.is-group th.el-table__cell {
    background-color: $color-blue;
  }

  .el-table td.el-table__cell, .el-table th.el-table__cell.is-leaf {
    border-bottom: 1Px solid $color-grey; /*no*/
  }

  .el-table--border .el-table__cell, .el-table__body-wrapper .el-table--border.is-scrolling-left ~ .el-table__fixed {
    border-right: 1Px solid $color-grey; /*no*/
  }
}
</style>
<style lang="scss" scoped>
@import "../../../../assets/css/base";

.OtherB_PerpleJunShouRu__wrap {
  width: 100%;
  height: calc(100% - 0.078125rem /* 20/256 */
  );

  .OtherB-PeopleJunShouRu__table {
    margin-top: 0.078125rem /* 20/256 */
  ;

    h1 {
      font-size: $fontSize-30;
      color: $color-white;
      text-align: center;
      line-height: 2;
    }
  }
}
</style>
